### Enumeration

# AppStreamCompose ComposeFlags

#### Declaration

    flags AppStreamCompose.ComposeFlags

#### Description

No description available.

#### Members

`ASC_COMPOSE_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_USE_THREADS`

  No description available.

  - Value: `1`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_ALLOW_NET`

  No description available.

  - Value: `2`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_VALIDATE`

  No description available.

  - Value: `4`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_STORE_SCREENSHOTS`

  No description available.

  - Value: `8`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_ALLOW_SCREENCASTS`

  No description available.

  - Value: `16`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROCESS_FONTS`

  No description available.

  - Value: `32`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROCESS_TRANSLATIONS`

  No description available.

  - Value: `64`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_IGNORE_ICONS`

  No description available.

  - Value: `128`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROCESS_UNPAIRED_DESKTOP`

  No description available.

  - Value: `256`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROPAGATE_CUSTOM`

  No description available.

  - Value: `512`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_PROPAGATE_ARTIFACTS`

  No description available.

  - Value: `1024`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_NO_FINAL_CHECK`

  No description available.

  - Value: `2048`
  - Available since: 1.0
`ASC_COMPOSE_FLAG_NO_PARTIAL_URLS`

  No description available.

  - Value: `4096`
  - Available since: 1.0